@Echo off

REM Basic Settings
REM Adapt to your config

set lostpath=lost2\
set doom_cmd=doom -file

REM Default Settings
set gfx=%lostpath%lost_gfx.wad
set lev=%lostpath%lost_lev.wad
set pic=%lostpath%lost_pic.wad
set snd=%lostpath%lost_snd.wad

:LOOP
CLS
ECHO LOST ][ startup menu
ECHO --------------------
ECHO Please, make a choice:
ECHO -
ECHO 1. Full version of LOST ][
ECHO 2. Levels and graphics only
ECHO 3. Levels and sounds/music only
ECHO 4. Levels only
ECHO 5. Exit menu, return to DOS
ECHO -
CHOICE /C12345 Type a digit between 1 and 5...
CLS

IF ERRORLEVEL 5 GOTO END
IF ERRORLEVEL 4 GOTO LEV
IF ERRORLEVEL 3 GOTO SND
IF ERRORLEVEL 2 GOTO GFX
IF ERRORLEVEL 1 GOTO ALL

:ALL
%doom_cmd% %lev% %gfx% %pic% %snd%
GOTO LOOP

:GFX
%doom_cmd% %lev% %gfx%
GOTO LOOP

:SND
%doom_cmd% %lev% %snd%
GOTO LOOP

:LEV
%doom_cmd% %lev%
GOTO LOOP

:END
CLS
ECHO ---Thanks for playing LOST ][
ECHO --Herv‚ Benvel, 1994
ECHO -






